module Stenographer
  class Message

    attr_accessor :id, :name, :body, :words

    def initialize(id, name, body)
      @id   = id
      @name = name
      @body = body
      @words = Word.split_message(self)
    end

    def include?(query=nil)
      return true if query.nil?

      body.include?(query)
    end

    def explode
      Word.split_message(self)
    end

    def print(opts={})
      code = opts[:highlighted] ? ">> %-17s %0s" : "%-20s %0s"
      puts printf(code, name, body)
    end

    def to_s
      "Message <name: #{name}, body: #{body}>"
    end
  end
end
